%{?nodejs_find_provides_and_requires}

%global packagename is-error
%global enable_tests 1

Name:		nodejs-is-error
Version:	2.2.1
Release:	1%{?dist}
Summary:	Detect whether a value is an error

License:	MIT
URL:		https://github.com/mk-pmb/is-error-js
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
BuildRequires:	npm(tape)
%endif

%description
Detect whether a value is an error


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/index.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 2.2.1-1
- Initial packaging
